Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Upgrade from 5.0.8 to latest release

  1. #1
    Join Date
    Jul 2008
    Posts
    7
    Rep Power
    7

    Default Upgrade from 5.0.8 to latest release

    Hi,

    I have Zimbra installed on my home server. I was planning on upgrading it to the latest release. Currently I have

    Release 5.0.8_GA_2462.RHEL5_64_20080709164104 CentOS5_64 FOSS edition

    It is working perfectly however I think its due an upgrade.

    Are there any step by step guides to upgrading major releases?

    Thanks

  2. #2
    Join Date
    Mar 2007
    Location
    Indiana
    Posts
    185
    Rep Power
    8

    Default

    I second that request!

    Running 5.0.5 GA Network Edition on RHEL 5.

  3. #3
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    I would recommend the following :-

    1) Shutdown ZCS
    2) Make sure all ZCS processes have indeed terminated
    3) Take a good backup of /opt/zimbra
    4) Upgrade to ZCS 5.0.19 first
    5) Start ZCS and make sure all is okay
    6) repeat steps 1-3
    7) Upgrade to ZCS 6.0.2
    8) Repeat step 5

  4. #4
    Join Date
    Jul 2008
    Posts
    7
    Rep Power
    7

    Default

    What is involved in the upgrade itself? is it a script you run? do you have to install over the existing version etc...

    Thanks

  5. #5
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Just as when you first installed you download the correct version for your OS, extract the tarball, and as root run ./install.sh. The script will identify you already have ZCS installed and will perform a upgrade.

  6. #6
    Join Date
    Jul 2008
    Posts
    7
    Rep Power
    7

    Default

    Great,

    Ill do the upgrade this weekend. One last question, but simply backing up the /opt/zimbra folder, would this good enough for a restore/recovery?

  7. #7
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Yes, as long as ZCS was completely down when the backup was taken. To recover you would remove ZCS completely, install a dummy copy of the release you were using when the backup was taken. Removed /opt/zimbra completely and extract your backup.

  8. #8
    Join Date
    Jul 2008
    Posts
    7
    Rep Power
    7

    Default

    Thank you for the prompt replies

    I will report back my success/failure so that others in the same boat can benefit

  9. #9
    Join Date
    Mar 2007
    Location
    Indiana
    Posts
    185
    Rep Power
    8

    Default

    OK, that doesn't sound that bad.

    However, the part about upgrading to ZCS 5.0.19 I'm a bit unclear on.

    I'm already on 5.0.5. I don't need to do the 5.0.19 do I?

  10. #10
    Join Date
    Jul 2008
    Posts
    7
    Rep Power
    7

    Default

    Upgrade successful

    Here is what I did for my upgrade:

    1) Shutdown ZCS (/etc/init.d/zimbra stop)
    2) Make sure all ZCS processes have indeed terminated (ps -ef | grep java) or (ps -ef | grep zimbra)
    3) Take a good backup of /opt/zimbra (tar -zxvf myZimbraBackup.tgz /opt/zimbra)
    4) Upgrade to ZCS 6.0.2 (run the install.sh script)
    5) Start ZCS (/etc/init.d/zimbra start)
    6) Verify everything is ok

    I did not bother upgrading to 5.0.19. However When you upgrade to 6.0.2 it applies all the patches from 5.0.x
    to 6.0.2 (see below)

    Updating from 5.0.9_GA
    Updating from 5.0.10_GA
    Updating from 5.0.11_GA
    Updating from 5.0.12_GA
    Updating from 5.0.13_GA
    Updating from 5.0.14_GA
    Updating from 5.0.15_GA
    Updating from 5.0.16_GA
    Updating from 5.0.17_GA
    Updating from 5.0.18_GA
    Updating from 5.0.19_GA
    Updating from 5.0.20_GA
    Updating from 6.0.0_BETA1
    Migrating all domain admins to ACL based access manager...done.
    Checking for default IM conference room...not present.
    Initializing default IM conference room...done.
    Deleted cn=mime,cn=config,cn=zimbra
    Updating from 6.0.0_BETA2
    Updating from 6.0.0_RC1
    Updating from 6.0.0_RC2
    Updating from 6.0.0_GA
    Updating from 6.0.1_GA
    Updating from 6.0.2_GA

    Thats was it. Hope this helps everyone

Similar Threads

  1. Zimbra + Funambol Sync4j Code
    By KevinH in forum Mobility
    Replies: 563
    Last Post: 01-16-2010, 02:20 AM
  2. Replies: 1
    Last Post: 03-27-2009, 07:48 AM
  3. [SOLVED] Latest release notes are for 5.0.8, not 5.0.9?
    By peter@mxtoolbox.com in forum Installation
    Replies: 4
    Last Post: 08-19-2008, 09:42 AM
  4. Replies: 6
    Last Post: 03-06-2008, 06:26 PM
  5. Upgrade 3.0 GA to Latest release
    By ripratm in forum Administrators
    Replies: 19
    Last Post: 02-13-2007, 08:54 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •